#ifndef __77STQC_H
#define __77STQC_H

#include "77stq.h"
#include "77stqab.h"

class TQuadroC : public TQuadroA
{                          
  enum { QA_FORMLEN = 72 };
  
  real    _totale, _contssn, _somme, _imponibile, _ritenute, _netto;
  bool    _devo_sommare;

protected:  
  virtual int elementi_pagina(PaginaQuadro p) const;
  virtual int prima_riga(PaginaQuadro p) const;
  virtual bool print(const long codditta, const long NumFis, const long NumNoFis);  

public:  
  bool     controlla_percentuale(TCursor& cur, const real& perc_p);
  void     stampa_corpo(TPrinter& pr);
  void     setta_importi(TPrint_section& body);
  void     leggi_importi();

  TQuadroC(const char* form, const char* quadro) : TQuadroA(form, quadro) { }
  virtual ~TQuadroC() { } 
};      

class TStampaQuadroC : public TStampaQuadroA
{
protected:    
  virtual bool user_create();

public:
  TStampaQuadroC(const char* quadro, char livel) : TStampaQuadroA(quadro, livel) { }
  virtual ~TStampaQuadroC() { }
};

#endif
